<?php
	include('../fonctions.php');

	$msg_err="";
	
	if (isset($_POST["id_classe"])) { //Si on a cliqué sur Enregistrer
		$id_classe=$_POST["id_classe"];
		$id_salle=$_POST["id_salle"];
		$id_matiere=$_POST["id_matiere"];
		$heure_debut=$_POST["heure_debut"];
		$heure_fin=$_POST["heure_fin"];
		$jour=$_POST["jour"];

		if(($heure_fin!="")&&($id_salle!="")&&($id_matiere!="")) {
			$t_cours=["id_classe"=>$id_classe,"id_salle"=>$id_salle,"id_matiere"=>$id_matiere,"heure_debut"=>$heure_debut,"heure_fin"=>$heure_fin,"jour"=>$jour];
			$err=setCOURS($t_cours);
			//redirection vers la liste des classes
			header('Location: ../edt/edt.php?classe_id='.$t_cours["id_classe"].'&err='.$err);  
			exit();
		} else {

			if($heure_fin=="") $msg_err="Il faut saisir une heure de fin";
			if($id_salle=="") $msg_err="Il faut choisir une Salle";
			if($id_matiere=="") $msg_err="Il faut choisir une Matière";
		}
	} else { //Sinon affichage de la page de saisie
		$heure_debut=$_GET["heure_debut"];
		$jour=$_GET["jour"];
		$id_classe=$_GET["classe_id"];	
		$id_salle="";$id_matiere="";$heure_fin=""; 
	}


	//Chargement des listes déroulantes
	$t_classe=getCLASSE($id_classe);
	$t_heures=getHoraires(); //Charge le tableau des heures
	$salles=getSALLES(); //Récupération de la liste des salles
	$matieres=getMATIERES(); //Récupération de la liste des salles
?>

<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <title>Nouveau Cours</title>
    </head>
	<link media="all" type="text/css" rel="stylesheet" href="../css/bootstrap.min.css"/>
	<script type="text/javascript" src="../js/jquery.min.js"></script>
	<body>
		<div class="content">
			<div class='col-xs-12 col-xs-offset-1'>
				<form method="post" action="./cours_new.php" class="form-horizontal">
					<h1>Nouveau cours pour la classe : <?php echo $t_classe["nom"] ?></h1>	
					<input type="hidden" id="id_classe" name='id_classe' value='<?php echo $t_classe["id"] ?>'>
					<?php if($msg_err!="") { ?>
						<div class="alert alert-danger ">
							<?php echo $msg_err; ?>
						</div>
					<?php } ?>
					<div class="form-group">
					  	<div class="col-xs-2">
						    <label>Classe</label>
						    <input readonly id="classe" name='classe' value='<?php echo $t_classe["nom"] ?>' class="form-control">
					  	</div>
					</div>

					<div class="form-group">
					  	<div class="col-xs-2">
						    <label>Jour</label>
						    <input readonly id="jour" name='jour' value='<?php echo $jour ?>' class="form-control" >
					  	</div>

					  	<div class="col-xs-2">
						    <label>Heure de début</label>
						    <input readonly id="heure_debut" name='heure_debut' value='<?php echo $heure_debut ?>' class="form-control">
					  	</div>
					  	<div class="col-xs-2">
						    <label>Heure de fin</label>
						    <input  id="heure_fin" name='heure_fin'  class="form-control" placeholder="HH:MM" value='<?php echo $heure_fin ?>'>
					  	</div>
					</div>

					<!-- Affiche la liste des salles pour choisir -->
					<div class="form-group">
						<div class="col-xs-2">
						    <label>Salle</label>
						    <select id="id_salle" name="id_salle" class="form-control" >
						    	<option value="">Choisissez une Salle</option>
						    	<?php foreach($salles as $id=>$nom_salle) { ?>
						    		<option  value="<?php echo $id ?>" <?php echo ($id_salle==$id)?'selected':'' ?>><?php echo $nom_salle ?></option>
						    	<?php } ?>
						    </select>
						</div>

						<div class="col-xs-4">
						    <label>Matiere</label>
						    <select id="id_matiere" name="id_matiere" class="form-control" >
						    	<option value="">Choisissez une matière</option>
						    	<?php foreach($matieres as $id=>$nom_matiere) { ?>
						    		<option  value="<?php echo $id ?>"  <?php echo ($id_matiere==$id)?'selected':'' ?>><?php echo $nom_matiere ?></option>
						    	<?php } ?>
						    </select>
						</div>
					</div>

					<div align="left">
						<button id='btn-save' type='submit' class='btn btn-success'>Enregistrer</button>
						<a href="<?php echo '../edt/edt.php?classe_id='.$id_classe ?>" ><button type="button" class="btn btn-warning">Retour</button></a>
					</div>
				</form>
			</div>
		</div>
	</body>
</html>



