<?php
	/* Chargement des fonctions utiles */
	include('../fonctions.php');
	$classe_id="";
	if(isset($_GET['classe_id'])) $classe_id=$_GET['classe_id'];
	/* Recherche de l'edt */
	$t_classes=[''=>'Choisissez une classe']+getCLASSES($classe_id); //Chargement de l'emploi du temps
	if($classe_id) {
		$t_edt=getEDT($classe_id); //Chargement de l'emploi du temps
		$t_horaires=getHORAIRES();
		$t_jours=getJOURS();;
	}

?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <title>EDT</title>
    </head>
	<link media="all" type="text/css" rel="stylesheet" href="../css/bootstrap.min.css">
	<script type="text/javascript" src="../js/jquery.min.js"></script>
	<body>
		<div class='col-lg-max col-lg-offset-1'>
			<form method="get" id='form1' name='form1' action="./edt.php">
				<div class='row'>
					<h2>Emploi du temps de la classe :</h2>
					<div class="col-md-6">
						<select class="form-control" name='classe_id' id='classe_id' onchange='submit();'>
							<?php foreach($t_classes as $id=>$nom) { ?>
									<option value='<?php echo $id ?>' <?php echo ($classe_id==$id)?'selected':''  ?>>
										<?php echo $nom ?>
									</option>
							<?php } ?>
						</select>
					</div>
				</div>
			</form >
			<br/>
		</div>

		<div class="col-md-12">
		<?php if($classe_id) { ?>
		    	<table class="table table-bordered" border='1'>
		    		<thead>
			    		<tr>
			    			<th width='5%'></th>
			    			<?php foreach($t_jours as $jour) { ?>
			    					<th  width='19%' class='info' ><?php echo $jour ?></th>
			    			<?php } ?>
			    		</tr>
		    		</thead>
		    		<tbody>
		    			<?php foreach($t_horaires as $horaire) { ?>
				    		<tr>
				    			<td class='info' style="font-weight:bold"><?php echo $horaire ?></td>
				    			<?php foreach($t_jours as $jour) { ?>
									<?php echo getCours($classe_id,$t_edt,$horaire,$jour) ?>
				    			<?php } ?>
				    		</tr>
		    			<?php } ?>
		    		</tbody>
		    	<table>
		<?php } ?>
		</div>
		<br/>
		<div align="center">
			<a href="../index.php"><button class='btn btn-info'>Retour au menu</div></a>
		</div>
	</body>
</html>