<?php
	/* Recherche de l'edt */
	include('fonctions.php');
	//Si uen demande de suppression à été envoyée dans les paramêtres, on supprime la ligne
	if(isset($_GET['delete_id'])) {
		//Suppression de la fiche N°=id
		deleteCOURS($_GET['delete_id']);  
	}

	$classe=$_POST['nom_classe'];
	if($classe=='') $classe=$_GET['classe'];
	$t_classes=[''=>'Choisissez une classe']+getCLASSES($classe); //Chargement de l'emploi du temps
	if($classe) {
		$t_edt=getEDT($classe); //Chargement de l'emploi du temps
		$t_horaires=['07h15','08h15','09h25','10h25','11h25','12h25','13h25','14h25','15h35'];
		$t_jours=['LUNDI','MARDI','MERCREDI','JEUDI','VENDREDI'];
	}
?>

<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8" />
        <title>EDT-Classes</title>
    </head>

	<link media="all" type="text/css" rel="stylesheet" href="./css/bootstrap.min.css">


<script type="text/javascript" src="./js/jquery.min.js"></script>
<body>
	<div class='col-lg-max col-lg-offset-1'>
		<form method="post" id='form1' name='form1' action="./edt_edit.php">
			<div class='row'>
				<h2>Emploi du temps de la classe :</h2>
				<div class="col-sm-6">
					<select class="form-control" name='nom_classe' id='nom_classe' onchange='submit();'>
						<?php foreach($t_classes as $id=>$nom) { ?>
								<option value='<?php echo $id ?>' <?php echo ($classe==$id)?'selected':''  ?>>
									<?php echo $nom ?>
								</option>
						<?php } ?>
					</select>
				</div>
			</div>
		</form >
		<br/>
	</div>



	<div class="col-sm-10">
	<?php if($classe) { ?>
	    	<table class="table table-bordered" border='1'>
	    		<thead>
		    		<tr>
		    			<th width='1px'></th>
		    			<?php foreach($t_jours as $jour) { ?>
		    					<th class='info' ><?php echo $jour ?></th>
		    			<?php } ?>
		    		</tr>
	    		</thead>

	    		<tbody>
	    			<?php foreach($t_horaires as $horaire) { ?>
			    		<tr>
			    			<td class='info' style="font-weight:bold"><?php echo $horaire ?></td>
			    			<?php foreach($t_jours as $jour) { ?>
								<?php echo getCours($t_edt,$horaire,$jour) ?>
			    			<?php } ?>
			    		</tr>
	    			<?php } ?>
	    		</tbody>

	    	<table>
	<?php } ?>
	</div>

	<br/>

	<div align="center">
		<a href="./index.php"><button class='btn btn-info'>Retour au menu</div></a>
	</div>

</body>


</html>

